Dependency 'io.dropwizard.metrics:metrics-core:3.0.2' not found

刘超 18天前 ⋅ 106 阅读   编辑

一、描述

  idea编译项目,报如下错误

Dependency 'io.dropwizard.metrics:metrics-core:3.0.2' not found

二、解决方法

  dropwizard版本太新了,依赖改为3.0.0的,如下

<dependency>
    <groupId>com.codahale.metrics</groupId>
    <artifactId>metrics-core</artifactId>
    <version>3.0.0</version>
</dependency>
<!-- https://mvnrepository.com/artifact/com.codahale.metrics/metrics-graphite -->
<dependency>
    <groupId>com.codahale.metrics</groupId>
    <artifactId>metrics-graphite</artifactId>
    <version>3.0.0</version>
</dependency>

三、参考文章
  1、https://stackoverflow.com/questions/57363051/exception-in-thread-main-java-lang-noclassdeffounderror-com-codahale-metrics


注意:本文归作者所有,未经作者允许,不得转载

全部评论: 0

    我有话说: